package com.gingersoft.gsa.cloud.pay.pos.bbpos;


import com.gingersoft.gsa.cloud.pay.pos.IPosCallback;
import com.gingersoft.gsa.cloud.pay.pos.hywebpos.bean.response.pos.AdjustTipRespose;
import com.gingersoft.gsa.cloud.pay.pos.hywebpos.bean.response.pos.RefundRespose;
import com.gingersoft.gsa.cloud.pay.pos.hywebpos.bean.response.pos.RetrievalRespose;
import com.gingersoft.gsa.cloud.pay.pos.hywebpos.bean.response.pos.SaleRespose;
import com.gingersoft.gsa.cloud.pay.pos.hywebpos.bean.response.pos.SettlementRespose;
import com.gingersoft.gsa.cloud.pay.pos.hywebpos.bean.response.pos.VoidRespose;

/**
 * @作者: bin
 * @創建時間: 2020-12-26 10:38
 * @更新時間: 2020-12-26 10:38
 * @描述:
 */
public class BBPosCallback implements IPosCallback {

    @Override
    public void onSaleCall(SaleRespose response) {

    }

    @Override
    public void onVoidCall(VoidRespose response) {

    }

    @Override
    public void onRefundCall(RefundRespose response) {

    }

    @Override
    public void onRetrievalCall(RetrievalRespose response) {

    }

    @Override
    public void onAdjustCall(AdjustTipRespose response) {

    }

    @Override
    public void onSettleCall(SettlementRespose response) {

    }

    @Override
    public void onPrinterCall(String response) {

    }
}
